package com.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaSurroundTrack", description="房源周边埋点")
public class TaSurroundTrack implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "店主ID")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "店铺ID")
    private String shopId;

    @ApiModelProperty(value = "房源ID")
    private String houseId;

    @ApiModelProperty(value = "周边ID")
    private String surroundId;

    @ApiModelProperty(value = "图片ID")
    private String imageId;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

}
